# $Revision: 1.32 $, $Date: 2010/01/21 20:26:38 $
Summary:	Cross MIPSel GNU binary utility development utilities - binutils
Summary(es.UTF-8):	Utilitarios para desarrollo de binarios de la GNU - MIPSel binutils
Summary(fr.UTF-8):	Utilitaires de développement binaire de GNU - MIPSel binutils
Summary(pl.UTF-8):	Skrośne narzędzia programistyczne GNU dla AVR MIPSel - binutils
Summary(pt_BR.UTF-8):	Utilitários para desenvolvimento de binários da GNU - MIPSel binutils
Summary(tr.UTF-8):	GNU geliştirme araçları - MIPSel binutils
Name:		crossmipsel-binutils
Version:	2.20.51.0.5
Release:	1
License:	GPL
Group:		Development/Tools
Source0:	ftp://ftp.kernel.org/pub/linux/devel/binutils/binutils-%{version}.tar.bz2
# Source0-md5:	6d2de7cdf7a8389e70b124e3d73b4d37
URL:		http://sources.redhat.com/binutils/
BuildRequires:	automake
BuildRequires:	bash
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gettext-devel
%ifarch sparc sparc32
BuildRequires:	sparc32
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		target		mipsel-pld-linux
%define		arch		%{_prefix}/%{target}

%description
Binutils is a collection of binary utilities, including:
- ar - create, modify and extract from archives,
- nm - lists symbols from object files,
- objcopy - copy and translate object files,
- objdump - display information from object files,
- ranlib - generate an index for the contents of an archive,
- size - list the section sizes of an object or archive file,
- strings - list printable strings from files,
- strip - discard symbols,
- c++filt - a filter for demangling encoded C++ symbols,
- addr2line - convert addresses to file and line,
- nlmconv - convert object code into an NLM.

This package contains the cross version for MIPS Little Endian.

%description -l pl.UTF-8
Pakiet binutils zawiera zestaw narzędzi umożliwiających kompilację
programów. Znajdują się tutaj między innymi assembler, konsolidator
(linker), a także inne narzędzia do manipulowania binarnymi plikami
programów i bibliotek.

Ten pakiet zawiera wersję skrośną generującą kod dla ostrokońcej (ang.
Little Endian) architektury MIPS.

%prep
%setup -q -n binutils-%{version}

%build
cp -f /usr/share/automake/config.sub .

# ldscripts won't be generated properly if SHELL is not bash...
CFLAGS="%{rpmcflags}" \
LDFLAGS="%{rpmldflags}" \
CONFIG_SHELL="/bin/bash" \
%ifarch sparc
sparc32 \
%endif
./configure \
	--disable-shared \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--infodir=%{_infodir} \
	--target=%{target}

%{__make} all \
	tooldir=%{_prefix} \
	EXEEXT=""

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_prefix}

%{__make} install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	mandir=$RPM_BUILD_ROOT%{_mandir} \
	infodir=$RPM_BUILD_ROOT%{_infodir} \
	libdir=$RPM_BUILD_ROOT%{_libdir}

# remove these man pages unless we cross-build for win*/netware platforms.
# however, this should be done in Makefiles.
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/{*dlltool,*nlmconv,*windres}.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/%{target}-*
%dir %{arch}
%dir %{arch}/bin
%attr(755,root,root) %{arch}/bin/*
%dir %{arch}/lib
%{arch}/lib/ldscripts
%{_mandir}/man?/%{target}-*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossmipsel-binutils.spec,v $
Revision 1.32  2010/01/21 20:26:38  pawelz
- up to 2.20.51.0.5
- dropped Patch0 (applied upstream)

Revision 1.31  2008/11/22 22:15:26  agaran
- up to 2.19.50.0.1, builds here

Revision 1.30  2007/02/12 21:23:51  glen
- tabs in preamble

Revision 1.29  2007/02/12 00:48:43  baggins
- converted to UTF-8

Revision 1.28  2006/07/18 19:34:00  qboosh
- updated to 2.17.50.0.3 with updated mips-relocs patch

Revision 1.27  2006/05/11 18:47:02  pluto
- upsdated to 2.17.50.0.1.

Revision 1.26  2005/12/21 22:48:32  qboosh
- updated to 2.16.91.0.5, updated mips-relocs patch

Revision 1.25  2004/11/23 23:31:29  qboosh
- updated to 2.15.94.0.1 with updated mips-relocs patch

Revision 1.24  2004/07/28 21:12:27  qboosh
- updated to 2.15.91.0.2, updated mips-relocs patch

Revision 1.23  2004/07/19 11:02:16  qboosh
- added mips-relocs patch, package ldscripts, release 2

Revision 1.22  2004/06/14 18:46:14  ankry
- added missing dir

Revision 1.21  2004/06/13 14:08:05  ankry
- now should build

Revision 1.20  2004/06/13 12:02:54  ankry
- md5

Revision 1.19  2004/06/13 11:33:18  ankry
- 2.15.91.0.1

Revision 1.18  2004/06/13 06:57:44  ankry
- fixed BRs, hopefully fixed build on sparc & amd64, unification

Revision 1.17  2004/06/11 22:38:52  ankry
BR: gettext-devel

Revision 1.16  2004/01/13 14:13:07  qboosh
- fixed URL, cleanups

Revision 1.15  2003/08/29 23:30:33  ankry
- sync summaries / descriptions; some BR fixed

Revision 1.14  2003/08/06 16:52:39  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.13  2003/05/26 16:24:51  malekith
- massive attack: adding Source-md5

Revision 1.12  2003/05/25 05:46:29  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2002/10/10 13:04:38  marcus
- use new %%doc

Revision 1.10  2002/07/23 16:01:02  undefine
- small fixes. it builds now

Revision 1.9  2002/04/25 16:07:45  arturs
fixed a small typo

Revision 1.8  2002/02/23 01:44:57  kloczek
- adapterized.

Revision 1.7  2002/02/22 23:28:46  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 15:03:27  malekith
- update to 2.11.92.0.12.3 (prev doesn't work)
- include /usr/mipsel-pld-linux/{bin,lib}/* in package

Revision 1.5  2002/01/18 02:12:37  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/10/29 21:36:31  ankry
- BuildRequires: perl-devel for man pages
- remove win*/netware tool man pages
- more translations
- release 2

Revision 1.3  2001/06/10 14:16:58  misiek
typo

Revision 1.2  2001/06/10 14:15:33  misiek
updates

Revision 1.1  2001/06/10 11:52:31  misiek
name change; unfinished
